Dim CurrentPath = Command(2)
Dim wxlogo = "logo.sbi"        : Dim wxlet1 = "1let.sbi"
Dim wxlet2 = "2let.sbi"        : Dim wxlet3 = "3let.sbi"
Dim wxlet4 = "4let.sbi"        : Dim wxlet5 = "5let.sbi"
Dim wxlet6 = "copyright.sbi"   : Dim wxlet7 = "6let.sbi"
Dim table1 = "table1.sbi"      : Dim table2 = "table2.sbi"
Dim table1n = "table1n.sbi"    : Dim table2n = "table2n.sbi"

Dim myChildFrame1 As wxMDIChildFrame = New wxMDIChildFrame( myFrame, -1, "Softbeer 1.0 Homebrew [Basic Mode]", wxPoint(0,0), wxSize(833, 634), wxCAPTION | wxSYSTEM_MENU | wxMINIMIZE_BOX )
myChildFrame1.show(FALSE)
Dim panel as wxPanel = new wxPanel(myChildFrame1, -1)
Dim StaticText1 as wxStaticText = new wxStaticText(panel, 1,"Cantidad de cerveza final (Litros):", wxPoint(16, 136), wxSize(200, 16)),
StaticBox1 as wxStaticBox = new wxStaticBox(panel, 2,"", wxPoint(16, 192), wxSize(287, 360)),
TextCtrl1 as wxTextCtrl = new wxTextCtrl(panel, 4,"0", wxPoint(16, 160), wxSize(144, 21)),
StaticText3 as wxStaticText = new wxStaticText(panel, 5,"Evaporación en", wxPoint(26, 224), wxSize(75, 16)),
StaticText4 as wxStaticText = new wxStaticText(panel, 6,"el hervor:", wxPoint(26, 240), wxSize(70, 16)),
TextCtrl2 as wxTextCtrl = new wxTextCtrl(panel, 18,"0", wxPoint(150, 224), wxSize(96, 21)),
StaticText17 as wxStaticText = new wxStaticText(panel, 22,"%", wxPoint(250, 232), wxSize(16, 16)),
StaticBox2 as wxStaticBox = new wxStaticBox(panel, 23,"", wxPoint(312, 192), wxSize(248, 360)),
StaticBox3 as wxStaticBox = new wxStaticBox(panel, 24,"", wxPoint(568, 192), wxSize(240, 360)),
Checkbox1 as wxCheckbox = new wxCheckbox(panel, 25,"Utilizar [Cebada]", wxPoint(328, 224), wxSize(200, 16)),
Checkbox2 as wxCheckbox = new wxCheckbox(panel, 26,"Utilizar [Trigo]", wxPoint(328, 288), wxSize(150, 16)),
Checkbox3 as wxCheckbox = new wxCheckbox(panel, 27,"Utilizar [Maíz]", wxPoint(328, 352), wxSize(150, 16)),
Checkbox4 as wxCheckbox = new wxCheckbox(panel, 28,"Utilizar [Arroz]", wxPoint(328, 416), wxSize(150, 16)),
Checkbox5 as wxCheckbox = new wxCheckbox(panel, 29,"Utilizar [Azúcar]", wxPoint(328, 480), wxSize(150, 16)),
Checkbox6 as wxCheckbox = new wxCheckbox(panel, 31,"Utilizar", wxPoint(688, 360), wxSize(100, 16)),
TextCtrl4 as wxTextCtrl = new wxTextCtrl(panel, 30,"76", wxPoint(328, 256), wxSize(48, 21)),
TextCtrl5 as wxTextCtrl = new wxTextCtrl(panel, 31,"0", wxPoint(400, 256), wxSize(96, 21)),
TextCtrl6 as wxTextCtrl = new wxTextCtrl(panel, 32,"78", wxPoint(328, 320), wxSize(48, 21)),
TextCtrl7 as wxTextCtrl = new wxTextCtrl(panel, 33,"0", wxPoint(400, 320), wxSize(96, 21)),
TextCtrl8 as wxTextCtrl = new wxTextCtrl(panel, 34,"77", wxPoint(328, 384), wxSize(48, 21)),
TextCtrl9 as wxTextCtrl = new wxTextCtrl(panel, 35,"0", wxPoint(400, 384), wxSize(96, 21)),
TextCtrl10 as wxTextCtrl = new wxTextCtrl(panel, 36,"80", wxPoint(328, 448), wxSize(48, 21)),
TextCtrl11 as wxTextCtrl = new wxTextCtrl(panel, 37,"0", wxPoint(400, 448), wxSize(96, 21)),
TextCtrl12 as wxTextCtrl = new wxTextCtrl(panel, 38,"99", wxPoint(328, 512), wxSize(48, 21)),
TextCtrl13 as wxTextCtrl = new wxTextCtrl(panel, 39,"0", wxPoint(400, 512), wxSize(96, 21)),
StaticText18 as wxStaticText = new wxStaticText(panel, 40,"Rendimiento:", wxPoint(328, 240), wxSize(63, 16)),
StaticText19 as wxStaticText = new wxStaticText(panel, 41,"                          [kg]", wxPoint(400, 240), wxSize(150, 16)),
StaticText20 as wxStaticText = new wxStaticText(panel, 42,"Rendimiento:", wxPoint(328, 304), wxSize(63, 16)),
StaticText21 as wxStaticText = new wxStaticText(panel, 43,"                          [kg]", wxPoint(400, 304), wxSize(150, 16)),
StaticText22 as wxStaticText = new wxStaticText(panel, 44,"Rendimiento:", wxPoint(328, 368), wxSize(63, 16)),
StaticText23 as wxStaticText = new wxStaticText(panel, 45,"                          [kg]", wxPoint(400, 368), wxSize(150, 16)),
StaticText24 as wxStaticText = new wxStaticText(panel, 46,"Rendimiento:", wxPoint(328, 432), wxSize(63, 16)),
StaticText25 as wxStaticText = new wxStaticText(panel, 47,"                          [kg]", wxPoint(400, 432), wxSize(150, 16)),
StaticText26 as wxStaticText = new wxStaticText(panel, 48,"Rendimiento:", wxPoint(328, 496), wxSize(63, 16)),
StaticText27 as wxStaticText = new wxStaticText(panel, 49,"                          [kg]", wxPoint(400, 496), wxSize(150, 16)),
StaticText29 as wxStaticText = new wxStaticText(panel, 51,"IBU", wxPoint(584, 248), wxSize(56, 16)),
StaticText30 as wxStaticText = new wxStaticText(panel, 52,"deseado:", wxPoint(584, 264), wxSize(100, 16)),
StaticText31 as wxStaticText = new wxStaticText(panel, 53,"Porcentaje de", wxPoint(688, 248), wxSize(56, 16)),
StaticText32 as wxStaticText = new wxStaticText(panel, 54,"aprovechamiento:", wxPoint(688, 264), wxSize(110, 16)),
StaticText34 as wxStaticText = new wxStaticText(panel, 56,"IBU", wxPoint(584, 384), wxSize(56, 16)),
StaticText35 as wxStaticText = new wxStaticText(panel, 57,"deseado:", wxPoint(584, 400), wxSize(100, 16)),
StaticText36 as wxStaticText = new wxStaticText(panel, 58,"Porcentaje de", wxPoint(688, 384), wxSize(56, 16)),
StaticText37 as wxStaticText = new wxStaticText(panel, 59,"aprovechamiento:", wxPoint(688, 400), wxSize(110, 16)),
TextCtrl14 as wxTextCtrl = new wxTextCtrl(panel, 60,"0", wxPoint(584, 280), wxSize(80, 21)),
TextCtrl15 as wxTextCtrl = new wxTextCtrl(panel, 61,"0", wxPoint(688, 280), wxSize(80, 21)),
TextCtrl16 as wxTextCtrl = new wxTextCtrl(panel, 62,"0", wxPoint(584, 328), wxSize(80, 21)),
StaticText38 as wxStaticText = new wxStaticText(panel, 63,"%(alpha-ácidos) lúpulo:", wxPoint(584, 312), wxSize(150, 16)),
TextCtrl17 as wxTextCtrl = new wxTextCtrl(panel, 64,"0", wxPoint(584, 418), wxSize(80, 21)),
TextCtrl18 as wxTextCtrl = new wxTextCtrl(panel, 65,"0", wxPoint(688, 418), wxSize(80, 21)),
StaticText39 as wxStaticText = new wxStaticText(panel, 66,"%(alpha-ácidos) lúpulo:", wxPoint(584, 450), wxSize(120, 16)),
TextCtrl19 as wxTextCtrl = new wxTextCtrl(panel, 67,"0", wxPoint(584, 467), wxSize(80, 21)),
Button2 as wxButton = new wxButton(panel, 70,"&Calcular\nproceso", wxPoint(720, 457), wxSize(72, 33)),
ButtonIBU as wxButton = new wxButton(panel, 70,"&Calcular &IBU", wxPoint(720, 500), wxSize(72, 33)),
Button3 as wxButton = new wxButton(panel, 71,"?", wxPoint(776, 280), wxSize(16, 24)),
StaticTextL as wxStaticText = new wxStaticText(panel, 66,"L", wxPoint(165, 165), wxSize(10, 16)),
Button4 as wxButton = new wxButton(panel, 72,"?", wxPoint(776, 418), wxSize(16, 24)),
ComboBox1 as wxComboBox = new wxComboBox(panel, 76,"ComboBox1", wxPoint(468, 205), wxSize(85, 20)),
ComboBox2 as wxComboBox = new wxComboBox(panel, 76,"ComboBox1", wxPoint(180, 160), wxSize(85, 20))
ComboBox1.SetValue("kg")
ComboBox1.Append("kg")
ComboBox1.Append("g")
ComboBox1.Append("onza")
ComboBox1.Append("lb")
ComboBox1.Append("T")

ComboBox2.SetValue("L")
ComboBox2.Append("L")
ComboBox2.Append("Galón")
ComboBox2.Append("Quart")
ComboBox2.Append("Pinta")


Sub UnitM (event)
Dim AX = ComboBox1.GetValue()
StaticText19.Setlabel("                          " & "[" & AX & "]")
StaticText21.Setlabel("                          " & "[" & AX & "]")
StaticText23.Setlabel("                          " & "[" & AX & "]")
StaticText25.Setlabel("                          " & "[" & AX & "]")
StaticText27.Setlabel("                          " & "[" & AX & "]")
End Sub

Sub UnitM1 (event)
Dim BX = ComboBox2.GetValue()
Dim CX
If BX = "Galón" then
CX = "G"
End If
If BX = "L" then
CX = "L"
End If
If BX = "Quart" then
CX = "Q"
End If
If BX = "Pinta" then
CX = "P"
End If
StaticTextL.SetLabel(CX)
End Sub

Connect(ComboBox1, wxEVT_COMMAND_COMBOBOX_SELECTED, "UnitM")
Connect(ComboBox2, wxEVT_COMMAND_COMBOBOX_SELECTED, "UnitM1")


Button2.setDefault()
Dim ListControl = new wxListCtrl(panel, -1,wxPoint(20,275),wxSize(277,250),wxLC_REPORT | wxLC_HRULES | wxLC_VRULES) 
ListControl.InsertColumnInfo(0,"Variable") 
ListControl.InsertColumnInfo(1,"Resultado") 
ListControl.InsertColumnInfo(2,"Unidad") 
ListControl.SetColumnWidth(0,140)
ListControl.SetColumnWidth(1,70)
ListControl.SetColumnWidth(2,70)

ListControl.InsertStringItem(0,0,"Pérdidas post-hervor en volumen") 
ListControl.InsertStringItem(1,0,"Cantidad de agua para el empaste") 
ListControl.InsertStringItem(2,0,"Cantidad de mosto antes del hervor") 
ListControl.InsertStringItem(3,0,"% de alcohol (volumen)")
ListControl.InsertStringItem(4,0,"Densidad antes de hervir")
ListControl.InsertStringItem(5,0,"Densidad después de hervir") 
ListControl.InsertStringItem(6,0,"IBU Final:") 
ListControl.InsertStringItem(7,0,"Gramos de lúpulo (Segunda adición)") 
ListControl.InsertStringItem(8,0,"Gramos de lúpulo (Primera adición)") 
ListControl.InsertStringItem(9,0,"Gramos de lúpulo (Total)") 
ListControl.InsertStringItem(10,0,"Grado Plato") 

ListControl.SetStringItem(0,1,"0") 
ListControl.SetStringItem(1,1,"0") 
ListControl.SetStringItem(2,1,"0")
ListControl.SetStringItem(3,1,"0")
ListControl.SetStringItem(4,1,"0")
ListControl.SetStringItem(5,1,"0")
ListControl.SetStringItem(6,1,"0")
ListControl.SetStringItem(7,1,"0") 
ListControl.SetStringItem(8,1,"0")
ListControl.SetStringItem(9,1,"0")
ListControl.SetStringItem(10,1,"0")

ListControl.SetStringItem(0,2,"P") 
ListControl.SetStringItem(1,2,"g")
ListControl.SetStringItem(2,2,"g")
ListControl.SetStringItem(3,2,"g") 
ListControl.SetStringItem(4,2,"IBU")
ListControl.SetStringItem(5,2,"kg/m^3") 
ListControl.SetStringItem(6,2,"kg/m^3") 
ListControl.SetStringItem(7,2,"%alc. vol") 
ListControl.SetStringItem(8,2,"L") 
ListControl.SetStringItem(9,2,"L") 
ListControl.SetStringItem(10,2,"L") 


Dim myBmp As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmp.LoadFile( RPath & "/" & wxlogo , wxBITMAP_TYPE_PNG )
Dim img = New wxBitmapButton( panel, -1, myBMP, wxPoint(-1, -1), wxSize(-1, -1), wxNO_3D )

Dim myBmpSEP As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpSEP.LoadFile( RPath & "/" & "beerend.sbi" , wxBITMAP_TYPE_PNG )
Dim imgSEP = New wxBitmapButton( panel, -1, myBMPSEP, wxPoint(22, 259), wxSize(-1, -1), wxNO_3D )

Dim myBmpSEP1 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpSEP1.LoadFile( RPath & "/" & "beerend1.sbi" , wxBITMAP_TYPE_PNG )
Dim imgSEP1 = New wxBitmapButton( panel, -1, myBMPSEP1, wxPoint(22, 526), wxSize(-1, -1), wxNO_3D )

Dim myBmpCer As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpCer.LoadFile( RPath & "/" & "cereal.sbi" , wxBITMAP_TYPE_PNG )
Dim imgcer = New wxBitmapButton( panel, -1, myBMPcer, wxPoint(327, 208), wxSize(-1, -1), wxNO_3D )

Dim myBmpAND As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpAND.LoadFile( RPath & "/" & "evapAND.sbi" , wxBITMAP_TYPE_PNG )
Dim imgAND = New wxBitmapButton( panel, -1, myBMPAND, wxPoint(23, 208), wxSize(-1, -1), wxNO_3D )

Dim myBmpMore As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmpMore.LoadFile( RPath & "/" & "more.sbi" , wxBITMAP_TYPE_PNG )
Dim imgmore = New wxBitmapButton( panel, -1, myBMPmore, wxPoint(583, 208), wxSize(-1, -1), wxNO_3D )

Dim myBmp1 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmp1.LoadFile( RPath & "/" & wxlet1 , wxBITMAP_TYPE_PNG )
Dim img1 = New wxBitmapButton( panel, -1, myBMP1, wxPoint(16, 115), wxSize(-1, -1), wxNO_3D )

Dim myBmp4 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmp4.LoadFile( RPath & "/" & wxlet4 , wxBITMAP_TYPE_PNG )
Dim img4 = New wxBitmapButton( panel, -1, myBMP4, wxPoint(584, 227), wxSize(-1, -1), wxNO_3D )

Dim myBmp5 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmp5.LoadFile( RPath & "/" & wxlet5 , wxBITMAP_TYPE_PNG )
Dim img5 = New wxBitmapButton( panel, -1, myBMP5, wxPoint(584, 362), wxSize(-1, -1), wxNO_3D )

Dim myBmp6 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmp6.LoadFile( RPath & "/" & wxlet6 , wxBITMAP_TYPE_PNG )
Dim img6 = New wxBitmapButton( panel, -1, myBMP6, wxPoint(580, 560), wxSize(-1, -1), wxNO_3D )

Dim myBmp7 As wxEmptyBitmap = New wxEmptyBitmap( 0, 0 )
myBmp7.LoadFile( RPath & "/" & wxlet7 , wxBITMAP_TYPE_PNG )
Dim img7 = New wxBitmapButton( panel, -1, myBMP7, wxPoint(265, 150), wxSize(-1, -1), wxNO_3D )

 

